GlueGen: com.jogamp.gluegen.JavaMethodBindingEmitter Class Reference

GlueGen v2.6.0-rc-20250721 GlueGen, Native Binding Generator for Java™ (public API).

Classes | Public Member Functions | Static Public Member Functions | Static Public Attributes | Protected Member Functions | Static Protected Member Functions | Protected Attributes | List of all members
com.jogamp.gluegen.JavaMethodBindingEmitter Class Reference

Emits the Java-side component (interface and.or implementation) of the Java<->C JNI binding to its `CodeUnit`, see `FunctionEmitter`. More...

Inheritance diagram for com.jogamp.gluegen.JavaMethodBindingEmitter:
Collaboration diagram for com.jogamp.gluegen.JavaMethodBindingEmitter:

## Classes

class | DefaultCommentEmitter
| Class that emits a generic comment for JavaMethodBindingEmitters; the comment includes the C signature of the native method that is being bound by the emitter java method. More...
class | InterfaceCommentEmitter

## Public Member Functions

| JavaMethodBindingEmitter (final MethodBinding binding, final CodeUnit unit, final String runtimeExceptionType, final String unsupportedExceptionType, final boolean emitBody, final boolean tagNativeBinding, final boolean eraseBufferAndArrayTypes, final boolean useNIOOnly, final boolean useNIODirectOnly, final boolean forDirectBufferImplementation, final boolean forIndirectBufferAndArrayImplementation, final boolean isUnimplemented, final boolean isInterface, final boolean isNativeMethod, final boolean isPrivateNativeMethod, final JavaConfiguration configuration)
| JavaMethodBindingEmitter (final JavaMethodBindingEmitter arg)
boolean | isNativeMethod ()
boolean | isPrivateNativeMethod ()
boolean | isForDirectBufferImplementation ()
boolean | isForIndirectBufferAndArrayImplementation ()
String | getInterfaceName ()
String | getImplName ()
String | getNativeName ()
FunctionSymbol | getCSymbol ()
String | getRuntimeExceptionType ()
| The type of exception (must subclass `java.lang.RuntimeException`) raised if runtime checks fail in the generated code. More...
String | getUnsupportedExceptionType ()
void | setReturnedArrayLengthExpression (final String expr)

If the underlying function returns an array (currently only arrays of compound types are supported) as opposed to a pointer to an object, this method should be called to provide a MessageFormat string containing an expression that computes the number of elements of the returned array. More...

void | setPrologue (final List< String > prologue)
| Sets the manually-generated prologue code for this emitter. More...
void | setEpilogue (final List< String > epilogue)
| Sets the manually-generated epilogue code for this emitter. More...
boolean | signatureOnly ()
| Indicates whether this emitter will print only a signature, or whether it will emit Java code for the body of the method as well. More...
void | setEmitBody (final boolean emitBody)
| Accessor for subclasses. More...
void | setEraseBufferAndArrayTypes (final boolean erase)
| Accessor for subclasses. More...
void | setPrivateNativeMethod (final boolean v)
| Accessor for subclasses. More...
void | setForDirectBufferImplementation (final boolean direct)
| Accessor for subclasses. More...
void | setForIndirectBufferAndArrayImplementation (final boolean indirect)
| Accessor for subclasses. More...
Public Member Functions inherited from com.jogamp.gluegen.FunctionEmitter
| FunctionEmitter (final MethodBinding binding, final CodeUnit unit, final boolean isInterface, final JavaConfiguration configuration)
| Constructs the FunctionEmitter with a CommentEmitter that emits nothing. More...
| FunctionEmitter (final FunctionEmitter arg)
| Makes this FunctionEmitter a copy of the passed one. More...
final boolean | isInterface ()
final MethodBinding | getBinding ()
final CodeUnit | getUnit ()
void | addModifiers (final Iterator< EmissionModifier > mi)
void | addModifier (final EmissionModifier m)
boolean | removeModifier (final EmissionModifier m)
void | clearModifiers ()
boolean | hasModifier (final EmissionModifier m)
Iterator< EmissionModifier > | getModifiers ()
abstract String | getInterfaceName ()
abstract String | getImplName ()
abstract String | getNativeName ()
abstract FunctionSymbol | getCSymbol ()
final void | emit ()
| Emit the function to the `getUnit()`. More...
String | toString ()
void | setCommentEmitter (final CommentEmitter cEmitter)
| Set the object that will emit the comment for this function. More...
CommentEmitter | getCommentEmitter ()
| Get the comment emitter for this FunctionEmitter. More...

## Static Public Member Functions

static String | javaThisArgumentName ()

## Static Public Attributes

static final EmissionModifier | PUBLIC = new EmissionModifier("public")
static final EmissionModifier | PROTECTED = new EmissionModifier("protected")
static final EmissionModifier | PRIVATE = new EmissionModifier("private")
static final EmissionModifier | ABSTRACT = new EmissionModifier("abstract")
static final EmissionModifier | FINAL = new EmissionModifier("final")
static final EmissionModifier | NATIVE = new EmissionModifier("native")
static final EmissionModifier | SYNCHRONIZED = new EmissionModifier("synchronized")
Static Public Attributes inherited from com.jogamp.gluegen.FunctionEmitter
static final EmissionModifier | STATIC = new EmissionModifier("static")

## Protected Member Functions

String | getArgumentName (final int i)
void | setReturnedArrayLengthExpression (final String expr, final boolean onlyForComments)
String | getReturnedArrayLengthExpression ()
String | getReturnedArrayLengthComment ()
StringBuilder | appendReturnType (final StringBuilder buf)
String | erasedTypeString (final JavaType type, final boolean skipBuffers)
String | getReturnTypeString (final boolean skipArray)
StringBuilder | appendName (final StringBuilder buf)
int | appendArguments (final StringBuilder buf)
| Returns the number of arguments emitted. More...
String | getNativeImplMethodName ()
String | byteOffsetArgName (final int i)
String | isNIOArgName (final int i)
String | isNIOArgName (final String s)
String | byteOffsetArrayArgName (final int i)
String | offsetArgName (final int i)
void | emitAdditionalCode ()
void | emitBody ()
void | emitPrologueOrEpilogue (final List< String > code)
void | emitPreCallSetup (final MethodBinding binding)
void | emitArrayLengthAndNIOBufferChecks (final MethodBinding binding)
void | emitCompoundArrayCopies (final MethodBinding binding)
void | emitCall (final MethodBinding binding)
void | emitReturnVariableSetupAndCall (final MethodBinding binding)
int | emitCallArguments (final MethodBinding binding)
void | emitPostCallCleanup (final MethodBinding binding)
void | emitCallResultReturn (final MethodBinding binding)
String[] | argumentNameArray ()
String | getCommentStartString ()
String | getCommentEndString ()
String | getBaseIndentString ()
Protected Member Functions inherited from com.jogamp.gluegen.FunctionEmitter
void | emitAdditionalCode ()
void | emitDocComment ()
final void | emitSignature ()
StringBuilder | appendSignature (final StringBuilder buf)
final int | emitModifiers ()
int | appendModifiers (final StringBuilder buf)
String | getBaseIndentString ()
String | getCommentStartString ()
String | getCommentEndString ()
final void | emitReturnType ()
abstract StringBuilder | appendReturnType (StringBuilder buf)
final void | emitName ()
abstract StringBuilder | appendName (StringBuilder buf)
final int | emitArguments ()
| Returns the number of arguments emitted. More...
abstract int | appendArguments (StringBuilder buf)
| Returns the number of arguments emitted. More...
abstract void | emitBody ()

## Static Protected Member Functions

static String | byteOffsetArgName (final String s)

## Protected Attributes

final CommentEmitter | defaultJavaCommentEmitter = new DefaultCommentEmitter()
final CommentEmitter | defaultInterfaceCommentEmitter = new InterfaceCommentEmitter()
final boolean | tagNativeBinding
final boolean | useNIODirectOnly
List< String > | prologue
List< String > | epilogue
Protected Attributes inherited from com.jogamp.gluegen.FunctionEmitter
final MethodBinding | binding
final CodeUnit | unit
final JavaConfiguration | cfg

## Detailed Description

Emits the Java-side component (interface and.or implementation) of the Java<->C JNI binding to its `CodeUnit`, see `FunctionEmitter`.

Definition at line 58 of file JavaMethodBindingEmitter.java.

## Constructor & Destructor Documentation

## ◆ JavaMethodBindingEmitter() [1/2]

com.jogamp.gluegen.JavaMethodBindingEmitter.JavaMethodBindingEmitter | ( | final MethodBinding | binding,
|  | final CodeUnit | unit,
|  | final String | runtimeExceptionType,
|  | final String | unsupportedExceptionType,
|  | final boolean | emitBody,
|  | final boolean | tagNativeBinding,
|  | final boolean | eraseBufferAndArrayTypes,
|  | final boolean | useNIOOnly,
|  | final boolean | useNIODirectOnly,
|  | final boolean | forDirectBufferImplementation,
|  | final boolean | forIndirectBufferAndArrayImplementation,
|  | final boolean | isUnimplemented,
|  | final boolean | isInterface,
|  | final boolean | isNativeMethod,
|  | final boolean | isPrivateNativeMethod,
|  | final JavaConfiguration | configuration
| ) |  |

Definition at line 104 of file JavaMethodBindingEmitter.java.

Here is the call graph for this function:
Here is the caller graph for this function:

## ◆ JavaMethodBindingEmitter() [2/2]

com.jogamp.gluegen.JavaMethodBindingEmitter.JavaMethodBindingEmitter | ( | final JavaMethodBindingEmitter | arg | ) |

Definition at line 146 of file JavaMethodBindingEmitter.java.

## Member Function Documentation

## ◆ appendArguments()

int com.jogamp.gluegen.JavaMethodBindingEmitter.appendArguments | ( | final StringBuilder | buf | ) |

protected

Returns the number of arguments emitted.

Reimplemented from com.jogamp.gluegen.FunctionEmitter.

Reimplemented in com.jogamp.gluegen.procaddress.ProcAddressJavaMethodBindingEmitter.

Definition at line 355 of file JavaMethodBindingEmitter.java.

Here is the call graph for this function:

## ◆ appendName()

StringBuilder com.jogamp.gluegen.JavaMethodBindingEmitter.appendName | ( | final StringBuilder | buf | ) |

protected

Reimplemented from com.jogamp.gluegen.FunctionEmitter.

Definition at line 343 of file JavaMethodBindingEmitter.java.

Here is the call graph for this function:

## ◆ appendReturnType()

StringBuilder com.jogamp.gluegen.JavaMethodBindingEmitter.appendReturnType | ( | final StringBuilder | buf | ) |

protected

Reimplemented from com.jogamp.gluegen.FunctionEmitter.

Definition at line 270 of file JavaMethodBindingEmitter.java.

Here is the call graph for this function:

## ◆ argumentNameArray()

String[] com.jogamp.gluegen.JavaMethodBindingEmitter.argumentNameArray | ( |  | ) |

protected

Definition at line 839 of file JavaMethodBindingEmitter.java.

Here is the call graph for this function:
Here is the caller graph for this function:

## ◆ byteOffsetArgName() [1/2]

String com.jogamp.gluegen.JavaMethodBindingEmitter.byteOffsetArgName | ( | final int | i | ) |

protected

Definition at line 439 of file JavaMethodBindingEmitter.java.

Here is the call graph for this function:
Here is the caller graph for this function:

## ◆ byteOffsetArgName() [2/2]

static String com.jogamp.gluegen.JavaMethodBindingEmitter.byteOffsetArgName | ( | final String | s | ) |

staticprotected

Definition at line 443 of file JavaMethodBindingEmitter.java.

## ◆ byteOffsetArrayArgName()

String com.jogamp.gluegen.JavaMethodBindingEmitter.byteOffsetArrayArgName | ( | final int | i | ) |

protected

Definition at line 455 of file JavaMethodBindingEmitter.java.

Here is the call graph for this function:
Here is the caller graph for this function:

## ◆ emitAdditionalCode()

void com.jogamp.gluegen.JavaMethodBindingEmitter.emitAdditionalCode | ( |  | ) |

protected

Reimplemented from com.jogamp.gluegen.FunctionEmitter.

Definition at line 464 of file JavaMethodBindingEmitter.java.

Here is the call graph for this function:

## ◆ emitArrayLengthAndNIOBufferChecks()

void com.jogamp.gluegen.JavaMethodBindingEmitter.emitArrayLengthAndNIOBufferChecks | ( | final MethodBinding | binding | ) |

protected

Definition at line 510 of file JavaMethodBindingEmitter.java.

Here is the call graph for this function:
Here is the caller graph for this function:

## ◆ emitBody()

void com.jogamp.gluegen.JavaMethodBindingEmitter.emitBody | ( |  | ) |

protected

Reimplemented from com.jogamp.gluegen.FunctionEmitter.

Definition at line 471 of file JavaMethodBindingEmitter.java.

Here is the call graph for this function:

## ◆ emitCall()

void com.jogamp.gluegen.JavaMethodBindingEmitter.emitCall | ( | final MethodBinding | binding | ) |

protected

Definition at line 590 of file JavaMethodBindingEmitter.java.

Here is the call graph for this function:
Here is the caller graph for this function:

## ◆ emitCallArguments()

int com.jogamp.gluegen.JavaMethodBindingEmitter.emitCallArguments | ( | final MethodBinding | binding | ) |

protected

Reimplemented in com.jogamp.gluegen.procaddress.ProcAddressJavaMethodBindingEmitter.

Definition at line 643 of file JavaMethodBindingEmitter.java.

Here is the call graph for this function:
Here is the caller graph for this function:

## ◆ emitCallResultReturn()

void com.jogamp.gluegen.JavaMethodBindingEmitter.emitCallResultReturn | ( | final MethodBinding | binding | ) |

protected

Definition at line 794 of file JavaMethodBindingEmitter.java.

Here is the call graph for this function:
Here is the caller graph for this function:

## ◆ emitCompoundArrayCopies()

void com.jogamp.gluegen.JavaMethodBindingEmitter.emitCompoundArrayCopies | ( | final MethodBinding | binding | ) |

protected

Definition at line 570 of file JavaMethodBindingEmitter.java.

Here is the call graph for this function:
Here is the caller graph for this function:

## ◆ emitPostCallCleanup()

void com.jogamp.gluegen.JavaMethodBindingEmitter.emitPostCallCleanup | ( | final MethodBinding | binding | ) |

protected

Definition at line 768 of file JavaMethodBindingEmitter.java.

Here is the call graph for this function:
Here is the caller graph for this function:

## ◆ emitPreCallSetup()

void com.jogamp.gluegen.JavaMethodBindingEmitter.emitPreCallSetup | ( | final MethodBinding | binding | ) |

protected

Reimplemented in com.jogamp.gluegen.procaddress.ProcAddressJavaMethodBindingEmitter.

Definition at line 505 of file JavaMethodBindingEmitter.java.

Here is the call graph for this function:
Here is the caller graph for this function:

## ◆ emitPrologueOrEpilogue()

void com.jogamp.gluegen.JavaMethodBindingEmitter.emitPrologueOrEpilogue | ( | final List< String > | code | ) |

protected

Definition at line 490 of file JavaMethodBindingEmitter.java.

Here is the call graph for this function:
Here is the caller graph for this function:

## ◆ emitReturnVariableSetupAndCall()

void com.jogamp.gluegen.JavaMethodBindingEmitter.emitReturnVariableSetupAndCall | ( | final MethodBinding | binding | ) |

protected

Definition at line 598 of file JavaMethodBindingEmitter.java.

Here is the call graph for this function:
Here is the caller graph for this function:

## ◆ erasedTypeString()

String com.jogamp.gluegen.JavaMethodBindingEmitter.erasedTypeString | ( | final JavaType | type,
|  | final boolean | skipBuffers
| ) |  |

protected

Definition at line 274 of file JavaMethodBindingEmitter.java.

Here is the call graph for this function:
Here is the caller graph for this function:

## ◆ getArgumentName()

String com.jogamp.gluegen.JavaMethodBindingEmitter.getArgumentName | ( | final int | i | ) |

protected

Definition at line 190 of file JavaMethodBindingEmitter.java.

Here is the call graph for this function:
Here is the caller graph for this function:

## ◆ getBaseIndentString()

String com.jogamp.gluegen.JavaMethodBindingEmitter.getBaseIndentString | ( |  | ) |

protected

Reimplemented from com.jogamp.gluegen.FunctionEmitter.

Definition at line 874 of file JavaMethodBindingEmitter.java.

Here is the caller graph for this function:

## ◆ getCommentEndString()

String com.jogamp.gluegen.JavaMethodBindingEmitter.getCommentEndString | ( |  | ) |

protected

Reimplemented from com.jogamp.gluegen.FunctionEmitter.

Definition at line 859 of file JavaMethodBindingEmitter.java.

Here is the call graph for this function:

## ◆ getCommentStartString()

String com.jogamp.gluegen.JavaMethodBindingEmitter.getCommentStartString | ( |  | ) |

protected

Reimplemented from com.jogamp.gluegen.FunctionEmitter.

Definition at line 856 of file JavaMethodBindingEmitter.java.

## ◆ getCSymbol()

FunctionSymbol com.jogamp.gluegen.JavaMethodBindingEmitter.getCSymbol | ( |  | ) |

Reimplemented from com.jogamp.gluegen.FunctionEmitter.

Definition at line 186 of file JavaMethodBindingEmitter.java.

Here is the call graph for this function:
Here is the caller graph for this function:

## ◆ getImplName()

String com.jogamp.gluegen.JavaMethodBindingEmitter.getImplName | ( |  | ) |

Reimplemented from com.jogamp.gluegen.FunctionEmitter.

Reimplemented in com.jogamp.gluegen.procaddress.ProcAddressJavaMethodBindingEmitter.

Definition at line 177 of file JavaMethodBindingEmitter.java.

Here is the call graph for this function:
Here is the caller graph for this function:

## ◆ getInterfaceName()

String com.jogamp.gluegen.JavaMethodBindingEmitter.getInterfaceName | ( |  | ) |

Reimplemented from com.jogamp.gluegen.FunctionEmitter.

Definition at line 173 of file JavaMethodBindingEmitter.java.

Here is the call graph for this function:
Here is the caller graph for this function:

## ◆ getNativeImplMethodName()

String com.jogamp.gluegen.JavaMethodBindingEmitter.getNativeImplMethodName | ( |  | ) |

protected

Reimplemented in com.jogamp.gluegen.procaddress.ProcAddressJavaMethodBindingEmitter.

Definition at line 435 of file JavaMethodBindingEmitter.java.

Here is the call graph for this function:
Here is the caller graph for this function:

## ◆ getNativeName()

String com.jogamp.gluegen.JavaMethodBindingEmitter.getNativeName | ( |  | ) |

Reimplemented from com.jogamp.gluegen.FunctionEmitter.

Definition at line 181 of file JavaMethodBindingEmitter.java.

Here is the call graph for this function:

## ◆ getReturnedArrayLengthComment()

String com.jogamp.gluegen.JavaMethodBindingEmitter.getReturnedArrayLengthComment | ( |  | ) |

protected

Definition at line 223 of file JavaMethodBindingEmitter.java.

Here is the caller graph for this function:

## ◆ getReturnedArrayLengthExpression()

String com.jogamp.gluegen.JavaMethodBindingEmitter.getReturnedArrayLengthExpression | ( |  | ) |

protected

Definition at line 220 of file JavaMethodBindingEmitter.java.

Here is the caller graph for this function:

## ◆ getReturnTypeString()

String com.jogamp.gluegen.JavaMethodBindingEmitter.getReturnTypeString | ( | final boolean | skipArray | ) |

protected

Definition at line 324 of file JavaMethodBindingEmitter.java.

Here is the call graph for this function:
Here is the caller graph for this function:

## ◆ getRuntimeExceptionType()

String com.jogamp.gluegen.JavaMethodBindingEmitter.getRuntimeExceptionType | ( |  | ) |

The type of exception (must subclass `java.lang.RuntimeException`) raised if runtime checks fail in the generated code.

Definition at line 197 of file JavaMethodBindingEmitter.java.

Here is the caller graph for this function:

## ◆ getUnsupportedExceptionType()

String com.jogamp.gluegen.JavaMethodBindingEmitter.getUnsupportedExceptionType | ( |  | ) |

Definition at line 201 of file JavaMethodBindingEmitter.java.

Here is the caller graph for this function:

## ◆ isForDirectBufferImplementation()

boolean com.jogamp.gluegen.JavaMethodBindingEmitter.isForDirectBufferImplementation | ( |  | ) |

Definition at line 169 of file JavaMethodBindingEmitter.java.

## ◆ isForIndirectBufferAndArrayImplementation()

boolean com.jogamp.gluegen.JavaMethodBindingEmitter.isForIndirectBufferAndArrayImplementation | ( |  | ) |

Definition at line 170 of file JavaMethodBindingEmitter.java.

## ◆ isNativeMethod()

boolean com.jogamp.gluegen.JavaMethodBindingEmitter.isNativeMethod | ( |  | ) |

Definition at line 167 of file JavaMethodBindingEmitter.java.

Here is the call graph for this function:
Here is the caller graph for this function:

## ◆ isNIOArgName() [1/2]

String com.jogamp.gluegen.JavaMethodBindingEmitter.isNIOArgName | ( | final int | i | ) |

protected

Definition at line 447 of file JavaMethodBindingEmitter.java.

Here is the call graph for this function:
Here is the caller graph for this function:

## ◆ isNIOArgName() [2/2]

String com.jogamp.gluegen.JavaMethodBindingEmitter.isNIOArgName | ( | final String | s | ) |

protected

Definition at line 451 of file JavaMethodBindingEmitter.java.

## ◆ isPrivateNativeMethod()

boolean com.jogamp.gluegen.JavaMethodBindingEmitter.isPrivateNativeMethod | ( |  | ) |

Definition at line 168 of file JavaMethodBindingEmitter.java.

Here is the call graph for this function:
Here is the caller graph for this function:

## ◆ javaThisArgumentName()

static String com.jogamp.gluegen.JavaMethodBindingEmitter.javaThisArgumentName | ( |  | ) |

static

Definition at line 851 of file JavaMethodBindingEmitter.java.

Here is the caller graph for this function:

## ◆ offsetArgName()

String com.jogamp.gluegen.JavaMethodBindingEmitter.offsetArgName | ( | final int | i | ) |

protected

Definition at line 459 of file JavaMethodBindingEmitter.java.

Here is the call graph for this function:
Here is the caller graph for this function:

## ◆ setEmitBody()

void com.jogamp.gluegen.JavaMethodBindingEmitter.setEmitBody | ( | final boolean | emitBody | ) |

Accessor for subclasses.

Definition at line 245 of file JavaMethodBindingEmitter.java.

Here is the caller graph for this function:

## ◆ setEpilogue()

void com.jogamp.gluegen.JavaMethodBindingEmitter.setEpilogue | ( | final List< String > | epilogue | ) |

Sets the manually-generated epilogue code for this emitter.

Definition at line 233 of file JavaMethodBindingEmitter.java.

Here is the caller graph for this function:

## ◆ setEraseBufferAndArrayTypes()

void com.jogamp.gluegen.JavaMethodBindingEmitter.setEraseBufferAndArrayTypes | ( | final boolean | erase | ) |

Accessor for subclasses.

Definition at line 250 of file JavaMethodBindingEmitter.java.

## ◆ setForDirectBufferImplementation()

void com.jogamp.gluegen.JavaMethodBindingEmitter.setForDirectBufferImplementation | ( | final boolean | direct | ) |

Accessor for subclasses.

Definition at line 260 of file JavaMethodBindingEmitter.java.

## ◆ setForIndirectBufferAndArrayImplementation()

void com.jogamp.gluegen.JavaMethodBindingEmitter.setForIndirectBufferAndArrayImplementation | ( | final boolean | indirect | ) |

Accessor for subclasses.

Definition at line 265 of file JavaMethodBindingEmitter.java.

## ◆ setPrivateNativeMethod()

void com.jogamp.gluegen.JavaMethodBindingEmitter.setPrivateNativeMethod | ( | final boolean | v | ) |

Accessor for subclasses.

Definition at line 255 of file JavaMethodBindingEmitter.java.

Here is the caller graph for this function:

## ◆ setPrologue()

void com.jogamp.gluegen.JavaMethodBindingEmitter.setPrologue | ( | final List< String > | prologue | ) |

Sets the manually-generated prologue code for this emitter.

Definition at line 228 of file JavaMethodBindingEmitter.java.

Here is the caller graph for this function:

## ◆ setReturnedArrayLengthExpression() [1/2]

void com.jogamp.gluegen.JavaMethodBindingEmitter.setReturnedArrayLengthExpression | ( | final String | expr | ) |

If the underlying function returns an array (currently only arrays of compound types are supported) as opposed to a pointer to an object, this method should be called to provide a MessageFormat string containing an expression that computes the number of elements of the returned array.

The parameters to the MessageFormat expression are the names of the incoming Java arguments.

Definition at line 212 of file JavaMethodBindingEmitter.java.

Here is the caller graph for this function:

## ◆ setReturnedArrayLengthExpression() [2/2]

void com.jogamp.gluegen.JavaMethodBindingEmitter.setReturnedArrayLengthExpression | ( | final String | expr,
|  | final boolean | onlyForComments
| ) |  |

protected

Definition at line 216 of file JavaMethodBindingEmitter.java.

## ◆ signatureOnly()

boolean com.jogamp.gluegen.JavaMethodBindingEmitter.signatureOnly | ( |  | ) |

Indicates whether this emitter will print only a signature, or whether it will emit Java code for the body of the method as well.

Definition at line 240 of file JavaMethodBindingEmitter.java.

Here is the caller graph for this function:

## Member Data Documentation

## ◆ ABSTRACT

final EmissionModifier com.jogamp.gluegen.JavaMethodBindingEmitter.ABSTRACT = new EmissionModifier("abstract")

static

Definition at line 63 of file JavaMethodBindingEmitter.java.

## ◆ defaultInterfaceCommentEmitter

final CommentEmitter com.jogamp.gluegen.JavaMethodBindingEmitter.defaultInterfaceCommentEmitter = new InterfaceCommentEmitter()

protected

Definition at line 69 of file JavaMethodBindingEmitter.java.

## ◆ defaultJavaCommentEmitter

final CommentEmitter com.jogamp.gluegen.JavaMethodBindingEmitter.defaultJavaCommentEmitter = new DefaultCommentEmitter()

protected

Definition at line 68 of file JavaMethodBindingEmitter.java.

## ◆ epilogue

List<String> com.jogamp.gluegen.JavaMethodBindingEmitter.epilogue

protected

Definition at line 88 of file JavaMethodBindingEmitter.java.

## ◆ FINAL

final EmissionModifier com.jogamp.gluegen.JavaMethodBindingEmitter.FINAL = new EmissionModifier("final")

static

Definition at line 64 of file JavaMethodBindingEmitter.java.

## ◆ NATIVE

final EmissionModifier com.jogamp.gluegen.JavaMethodBindingEmitter.NATIVE = new EmissionModifier("native")

static

Definition at line 65 of file JavaMethodBindingEmitter.java.

## ◆ PRIVATE

final EmissionModifier com.jogamp.gluegen.JavaMethodBindingEmitter.PRIVATE = new EmissionModifier("private")

static

Definition at line 62 of file JavaMethodBindingEmitter.java.

## ◆ prologue

List<String> com.jogamp.gluegen.JavaMethodBindingEmitter.prologue

protected

Definition at line 87 of file JavaMethodBindingEmitter.java.

## ◆ PROTECTED

final EmissionModifier com.jogamp.gluegen.JavaMethodBindingEmitter.PROTECTED = new EmissionModifier("protected")

static

Definition at line 61 of file JavaMethodBindingEmitter.java.

## ◆ PUBLIC

final EmissionModifier com.jogamp.gluegen.JavaMethodBindingEmitter.PUBLIC = new EmissionModifier("public")

static

Definition at line 60 of file JavaMethodBindingEmitter.java.

## ◆ SYNCHRONIZED

final EmissionModifier com.jogamp.gluegen.JavaMethodBindingEmitter.SYNCHRONIZED = new EmissionModifier("synchronized")

static

Definition at line 66 of file JavaMethodBindingEmitter.java.

## ◆ tagNativeBinding

final boolean com.jogamp.gluegen.JavaMethodBindingEmitter.tagNativeBinding

protected

Definition at line 70 of file JavaMethodBindingEmitter.java.

## ◆ useNIODirectOnly

final boolean com.jogamp.gluegen.JavaMethodBindingEmitter.useNIODirectOnly

protected

Definition at line 71 of file JavaMethodBindingEmitter.java.

The documentation for this class was generated from the following file:

- src/java/com/jogamp/gluegen/JavaMethodBindingEmitter.java